#!/bin/sh
usage()
{
	echo "Usage: $0 [-u <src server>] [-u source user (cn=admin,o=organigation)] [-p <Port>] [-S (if ssl enabled)] [-T srctype (-L/-N)] args"
}
while getopts s:u:p:T:V:S o; do
    case $o in
	s)	sourceip=$OPTARG
		;;
	u)	srcuser=$OPTARG
		;;
	p)	port=$OPTARG
		;;
	T)	srctype=$OPTARG
		;;
	S)	ssl=1
		;;
	V)	srcversion=$OPTARG
		;;
	\?)	usage;
		exit 1
		;;
    esac
done
targetip=$sourceip
dstuser=$srcuser
echo "Information: Restarting cimom"
rcowcimomd restart
if [ $? == 0 ]
then
	echo "Information: cimom restart Success"
else
	echo "Information: cimom restart Failed"
fi
sleep 2

echo "Information: Restarting Driverstore"
rcnovell-idsd restart
if [ $? == 0 ]
then
	echo "Information: Driverstore restart Success"
else
	echo "Information: Driverstore restart Failed"
fi
sleep 2

echo "Information: Restarting Print Manager"
rcnovell-ipsmd restart
if [ $? == 0 ]
then
	echo "Information: Print Manager restart Success"
else
	echo "Information: Print Manager restart Failed"
fi
sleep 2

echo "Information: Restarting apache"
rcapache2 restart
if [ $? == 0 ]
then
	echo "Information: apache restart Success"
else
	echo "Information: apache restart Failed"
fi
#echo "Over";

#comment1(){
#echo "........";
#sleep 2

#if [ $ssl ]
#then
#	if [ $srcversion ]
#	then
#	echo "Information: /opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --ssl --port $port --srcversion $srcversion"
#/opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --ssl --port $port --srcversion $srcversion
#	else
#	echo "Information: /opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --ssl --port $port"
#/opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --ssl --port $port
#	fi
#else
#	if [$srcversion ]
#	then
#	echo "Information: /opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --port $port --srcversion $srcversion"
#/opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --port $port --srcversion $srcversion
#	else
#	echo "Information: /opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --port $port"
#/opt/novell/bin/iprintmig -v -v -v -v -s $sourceip -d $targetip -u $srcuser -U $dstuser --post-migration -$srctype --port $port
#	fi
#fi
#}
